// MAIN.CPP


#include "src/bsuite.h"
#include <conio.h>
#include <stdio.h>



int appdone=0;


void main(void)
{
	int opt;

	textmode(C80);

	_setcursortype(_NOCURSOR);
	bsDrawScreen();	// paint the desktop

	while (!appdone)
	{
		opt = bsMainMenu();

		switch (opt)
		{
			case 1:	// quit
				appdone=1;
				break;

			case 2: // extract Duke-specific palettes
				opt = bsD3DExtractMenu();

				if (opt==1) ;	// return to main
				else { bsExtractD3DPalette(opt-2); }

				break;

			case 3:	// update Duke-specific palettes
				opt = bsD3DUpdateMenu();

				if (opt==1) ;	// return to main
				else { bsUpdateD3DPalette(opt-2); }

				break;

			case 4:	// extract game palette
				bsExtractPalette();
				break;

			case 5: // update game palette
				bsUpdatePalette();
				break;

			default:
				// how'd we get here?
				break;
		}
	}

	uiClearScreen(0);
	gotoxy(1,1);
	_setcursortype(_NORMALCURSOR);

	printf("%s\n%s\n\n"
				 "This program is, well, I guess freeware. Questions, suggestions,\n"
				 "comments and bug reports are welcome at jono_f99@yahoo.com. Visit\n"
				 "my website at http://members.xoom.com/jonathon_f for more information\n"
				 "on this program and others that I may happen to write. See BSUITE.TXT\n"
				 "for details.\n\n", APP_NAME, APP_CPRT);
}